# Uses of Class
org.apache.solr.client.solrj.response.DocumentAnalysisResponse.DocumentAnalysis

Packages that use DocumentAnalysisResponse.DocumentAnalysis
Package
Description
org.apache.solr.client.solrj.response
Convenience classes for dealing with various types of Solr responses.

## Uses of DocumentAnalysisResponse.DocumentAnalysis in org.apache.solr.client.solrj.response

Methods in org.apache.solr.client.solrj.response that return DocumentAnalysisResponse.DocumentAnalysis
Modifier and Type
Method
Description
`DocumentAnalysisResponse.DocumentAnalysis`
DocumentAnalysisResponse.`getDocumentAnalysis(String documentKey)`
Returns the document analysis for the document associated with the given unique key (id), `null` if no such association exists.
Methods in org.apache.solr.client.solrj.response that return types with arguments of type DocumentAnalysisResponse.DocumentAnalysis
Modifier and Type
Method
Description
`Iterator<Map.Entry<String,DocumentAnalysisResponse.DocumentAnalysis>>`
DocumentAnalysisResponse.`iterator()`
Returns an iterator over the document analyses map.